<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.CheckBox?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.Pane?>

<Pane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="700.0" prefWidth="250.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.ScheduleFiltersController">
   <children>
      <Label layoutX="100.0" layoutY="40.0" text="Filtriraj po:" />
      <ComboBox fx:id="zgrada" layoutX="100.0" layoutY="100.0" onAction="#buildingAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="sala" layoutX="100.0" layoutY="150.0" onAction="#hallAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="profesor" layoutX="100.0" layoutY="200.0" onAction="#teacherAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="semestar" layoutX="100.0" layoutY="250.0" onAction="#yearAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="predmet" layoutX="100.0" layoutY="300.0" onAction="#subjectAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="grupa" layoutX="100.0" layoutY="350.0" onAction="#groupAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <Label layoutX="100.0" layoutY="80.0" text="Zgrada:" />
      <Label layoutX="100.0" layoutY="130.0" text="Sala:" />
      <Label layoutX="100.0" layoutY="180.0" text="Profesor:" />
      <Label layoutX="100.0" layoutY="230.0" text="Semestar:" />
      <Label layoutX="100.0" layoutY="280.0" text="Predmet:" />
      <Label layoutX="100.0" layoutY="330.0" text="Grupa" />
      <CheckBox fx:id="checkBox" layoutX="79.0" layoutY="446.0" mnemonicParsing="false" onAction="#checkBoxAkcijaFilteri" text="Prikazi rezervacije" />
      <ComboBox fx:id="usmjerenje" layoutX="100.0" layoutY="400.0" onAction="#usmjerenjeAkcija" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <Label layoutX="100.0" layoutY="380.0" text="Usmjerenje:" />
      <Button fx:id="reset" layoutX="76.0" layoutY="472.0" mnemonicParsing="false" onAction="#ResetFiltersButton" prefWidth="150.0" style="-fx-background-color: #B39374;" text="Očisti filtere" textFill="WHITE" />
   </children>
</Pane>
